# FFmpegKit iOS / macOS / tvOS API: OptionGroupList Struct Reference

OptionGroupList Struct Reference

`#include <fftools_cmdutils.h>`

## Data Fields

const OptionGroupDef * | group_def
OptionGroup * | groups
int | nb_groups

## Detailed Description

A list of option groups that all have the same group type (e.g. input files or output files)

Definition at line 318 of file fftools_cmdutils.h.

## Field Documentation

## group_def

const OptionGroupDef* OptionGroupList::group_def

Definition at line 319 of file fftools_cmdutils.h.

## groups

OptionGroup* OptionGroupList::groups

Definition at line 321 of file fftools_cmdutils.h.

## nb_groups

int OptionGroupList::nb_groups

Definition at line 322 of file fftools_cmdutils.h.

The documentation for this struct was generated from the following file:

- fftools_cmdutils.h